"use strict";

require("core-js/modules/es.symbol");

require("core-js/modules/es.symbol.description");

require("core-js/modules/es.symbol.iterator");

require("core-js/modules/es.array.iterator");

require("core-js/modules/es.object.define-property");

require("core-js/modules/es.object.get-own-property-descriptor");

require("core-js/modules/es.object.to-string");

require("core-js/modules/es.string.iterator");

require("core-js/modules/web.dom-collections.iterator");

var _react = _interopRequireWildcard(require("react"));

var _react2 = require("@storybook/react");

var _addonActions = require("@storybook/addon-actions");

var _mocks = require("../../mocks");

var _NewInput = _interopRequireDefault(require("./NewInput"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj.default = obj; return newObj; } }

function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance"); }

function _iterableToArrayLimit(arr, i) { var _arr = []; var _n = true; var _d = false; var _e = undefined; try { for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

var options = [{
  value: 'Alabama',
  label: 'Alabama'
}, {
  value: 'Alaska',
  label: 'Alaska'
}, {
  value: 'Arizona',
  label: 'Arizona'
}, {
  value: 'Arkansas',
  label: 'Arkansas'
}, {
  value: 'California',
  label: 'California'
}, {
  value: 'Colorado',
  label: 'Colorado'
}, {
  value: 'Connecticut',
  label: 'Connecticut'
}, {
  value: 'Delaware',
  label: 'Delaware'
}, {
  value: 'Florida',
  label: 'Florida'
}, {
  value: 'Georgia',
  label: 'Georgia'
}, {
  value: 'Hawaii',
  label: 'Hawaii'
}, {
  value: 'Idaho',
  label: 'Idaho'
}, {
  value: 'IllinoisIndiana',
  label: 'IllinoisIndiana'
}, {
  value: 'Iowa',
  label: 'Iowa'
}, {
  value: 'Kansas',
  label: 'Kansas'
}, {
  value: 'Kentucky',
  label: 'Kentucky'
}, {
  value: 'Louisiana',
  label: 'Louisiana'
}, {
  value: 'Maine',
  label: 'Maine'
}, {
  value: 'Maryland',
  label: 'Maryland'
}, {
  value: 'Massachusetts',
  label: 'Massachusetts'
}, {
  value: 'Michigan',
  label: 'Michigan'
}, {
  value: 'Minnesota',
  label: 'Minnesota'
}, {
  value: 'Mississippi',
  label: 'Mississippi'
}, {
  value: 'Missouri',
  label: 'Missouri'
}, {
  value: 'MontanaNebraska',
  label: 'MontanaNebraska'
}, {
  value: 'Nevada',
  label: 'Nevada'
}, {
  value: 'New Hampshire',
  label: 'New Hampshire'
}, {
  value: 'New Jersey',
  label: 'New Jersey'
}, {
  value: 'New Mexico',
  label: 'New Mexico'
}, {
  value: 'New York',
  label: 'New York'
}, {
  value: 'North Carolina',
  label: 'North Carolina'
}, {
  value: 'North Dakota',
  label: 'North Dakota'
}, {
  value: 'Ohio',
  label: 'Ohio'
}, {
  value: 'Oklahoma',
  label: 'Oklahoma'
}, {
  value: 'Oregon',
  label: 'Oregon'
}, {
  value: 'PennsylvaniaRhode Island',
  label: 'PennsylvaniaRhode Island'
}, {
  value: 'South Carolina',
  label: 'South Carolina'
}, {
  value: 'South Dakota',
  label: 'South Dakota'
}, {
  value: 'Tennessee',
  label: 'Tennessee'
}, {
  value: 'Texas',
  label: 'Texas'
}, {
  value: 'Utah',
  label: 'Utah'
}, {
  value: 'Vermont',
  label: 'Vermont'
}, {
  value: 'Virginia',
  label: 'Virginia'
}, {
  value: 'Washington',
  label: 'Washington'
}, {
  value: 'West Virginia',
  label: 'West Virginia'
}, {
  value: 'Wisconsin',
  label: 'Wisconsin'
}, {
  value: 'Wyoming',
  label: 'Wyoming'
}];
var duplicateOptions = [{
  value: '1',
  label: 'Option 1'
}, {
  value: '1',
  label: 'Option 1'
}, {
  value: '2',
  label: 'Option 2'
}];
var checkRadioOptions = [{
  value: '1',
  label: 'Purple'
}, {
  value: '2',
  label: 'Green'
}, {
  value: '3',
  label: 'Blue'
}, {
  value: '4',
  label: 'Pink'
}, {
  value: '5',
  label: 'All The Colors in The Rainbow'
}];
var switchOptions = [{
  value: true,
  label: 'On (some really long label here)'
}, {
  value: false,
  label: 'Off'
}];

var SingleState = function SingleState() {
  var _useState = (0, _react.useState)(),
      _useState2 = _slicedToArray(_useState, 2),
      selectionSingle = _useState2[0],
      setSelectionSingle = _useState2[1];

  return _react.default.createElement(_NewInput.default, {
    name: "Single",
    selection: selectionSingle,
    onChange: function onChange(e) {
      return setSelectionSingle(e.target.value);
    },
    options: options
  });
};

var MultipleState = function MultipleState() {
  var _useState3 = (0, _react.useState)([]),
      _useState4 = _slicedToArray(_useState3, 2),
      selectionMultiple = _useState4[0],
      setSelectionMultiple = _useState4[1];

  return _react.default.createElement(_NewInput.default, {
    name: "Multiple",
    selection: selectionMultiple,
    onChange: function onChange(e) {
      return setSelectionMultiple(e.target.value);
    },
    options: options,
    multiple: true
  });
};

var SingleCreateState = function SingleCreateState() {
  var _useState5 = (0, _react.useState)('Alabama'),
      _useState6 = _slicedToArray(_useState5, 2),
      selectionSingleCreate = _useState6[0],
      setSelectionSingleCreate = _useState6[1];

  return _react.default.createElement(_NewInput.default, {
    name: "SingleCreate",
    selection: selectionSingleCreate,
    onChange: function onChange(e) {
      return setSelectionSingleCreate(e.target.value);
    },
    options: options,
    creatable: true
  });
};

var MultipleCreateState = function MultipleCreateState() {
  var _useState7 = (0, _react.useState)('Alabama'),
      _useState8 = _slicedToArray(_useState7, 2),
      selectionMultipleCreate = _useState8[0],
      setSelectionMultipleCreate = _useState8[1];

  return _react.default.createElement(_NewInput.default, {
    name: "MultipleCreate",
    selection: selectionMultipleCreate,
    onChange: function onChange(e) {
      return setSelectionMultipleCreate(e.target.value);
    },
    options: options,
    creatable: true,
    multiple: true
  });
};

var AppendToBodyState = function AppendToBodyState() {
  var _useState9 = (0, _react.useState)(['Alabama']),
      _useState10 = _slicedToArray(_useState9, 2),
      selectionAppendToBody = _useState10[0],
      setSelectionAppendToBody = _useState10[1];

  return _react.default.createElement(_NewInput.default, {
    name: "AppendToBody",
    selection: selectionAppendToBody,
    onChange: function onChange(e) {
      return setSelectionAppendToBody(e.target.value);
    },
    options: options,
    creatable: true,
    multiple: true,
    appendToBody: true
  });
};

var RightToLeftState = function RightToLeftState() {
  var _useState11 = (0, _react.useState)(),
      _useState12 = _slicedToArray(_useState11, 2),
      selectionRightToLeft = _useState12[0],
      setSelectionRightToLeft = _useState12[1];

  return _react.default.createElement(_NewInput.default, {
    name: "RightToLeft",
    selection: selectionRightToLeft,
    onChange: function onChange(e) {
      return setSelectionRightToLeft(e.target.value);
    },
    options: options,
    rightToLeft: true
  });
};

var RadiosState = function RadiosState() {
  var _useState13 = (0, _react.useState)(),
      _useState14 = _slicedToArray(_useState13, 2),
      selectionRadio = _useState14[0],
      setSelectionRadio = _useState14[1];

  return [_react.default.createElement("h3", {
    key: "description"
  }, "Resize window to see it change from Radios to Select if it runs out of space on one line"), _react.default.createElement(_NewInput.default, {
    key: "NewInput",
    name: "Radios",
    selection: selectionRadio,
    onChange: function onChange(e) {
      return setSelectionRadio(e.target.value);
    },
    options: checkRadioOptions
  })];
};

var CheckboxesState = function CheckboxesState() {
  var _useState15 = (0, _react.useState)(),
      _useState16 = _slicedToArray(_useState15, 2),
      selectionCheck = _useState16[0],
      setSelectionCheck = _useState16[1];

  return [_react.default.createElement("h3", {
    key: "description"
  }, "Resize window to see it change from Checkboxes to Select if it runs out of space on one line"), _react.default.createElement(_NewInput.default, {
    key: "NewInput",
    name: "Checkboxes",
    selection: selectionCheck,
    onChange: function onChange(e) {
      return setSelectionCheck(e.target.value);
    },
    options: checkRadioOptions,
    multiple: true
  })];
};

var SwitchState = function SwitchState() {
  var _useState17 = (0, _react.useState)(),
      _useState18 = _slicedToArray(_useState17, 2),
      selectionSwitch = _useState18[0],
      setSelectionSwitch = _useState18[1];

  return [_react.default.createElement("h3", {
    key: "description"
  }, "Resize window to see it change from Switch to Select if it runs out of space on one line"), _react.default.createElement(_NewInput.default, {
    key: "NewInput",
    name: "Switch",
    selection: selectionSwitch,
    onChange: function onChange(e) {
      return setSelectionSwitch(e.target.value);
    },
    options: switchOptions
  })];
};

var SingleNoOptionsState = function SingleNoOptionsState() {
  var _useState19 = (0, _react.useState)(),
      _useState20 = _slicedToArray(_useState19, 2),
      selectionSingleNoOptions = _useState20[0],
      setSelectionSingleNoOptions = _useState20[1];

  return _react.default.createElement(_NewInput.default, {
    name: "SingleNoOptions",
    selection: selectionSingleNoOptions,
    onChange: function onChange(e) {
      return setSelectionSingleNoOptions(e.target.value);
    },
    creatable: true
  });
};

var SingleDisabledState = function SingleDisabledState() {
  return _react.default.createElement(_NewInput.default, {
    name: "SingleDisabled",
    selection: ['Alabama'],
    onChange: function onChange(e) {
      return setSelectionSingle(e.target.value);
    },
    options: options,
    disabled: true
  });
};

var MultipleDisabledState = function MultipleDisabledState() {
  return _react.default.createElement(_NewInput.default, {
    name: "MultipleDisabled",
    selection: ['Alabama', 'Colorado'],
    onChange: function onChange(e) {
      return setSelectionMultiple(e.target.value);
    },
    options: options,
    multiple: true,
    disabled: true
  });
};

var RadiosDisabledState = function RadiosDisabledState() {
  return [_react.default.createElement("h3", {
    key: "description"
  }, "Resize window to see it change from Radios to Select if it runs out of space on one line"), _react.default.createElement(_NewInput.default, {
    key: "NewInput",
    name: "RadiosDisabled",
    selection: ['1'],
    onChange: function onChange(e) {
      return setSelectionRadio(e.target.value);
    },
    options: checkRadioOptions,
    disabled: true
  })];
};

var CheckboxesDisabledState = function CheckboxesDisabledState() {
  return [_react.default.createElement("h3", {
    key: "description"
  }, "Resize window to see it change from Checkboxes to Select if it runs out of space on one line"), _react.default.createElement(_NewInput.default, {
    key: "NewInput",
    name: "CheckboxesDisabled",
    selection: ['1', '2'],
    onChange: function onChange(e) {
      return setSelectionCheck(e.target.value);
    },
    options: checkRadioOptions,
    multiple: true,
    disabled: true
  })];
};

var SwitchDisabledState = function SwitchDisabledState() {
  return [_react.default.createElement("h3", {
    key: "description"
  }, "Resize window to see it change from Switch to Select if it runs out of space on one line"), _react.default.createElement(_NewInput.default, {
    key: "NewInput",
    name: "SwitchDisabled",
    selection: ['true'],
    onChange: function onChange(e) {
      return setSelectionSwitch(e.target.value);
    },
    options: switchOptions,
    disabled: true
  })];
};

var NoDuplicatesState = function NoDuplicatesState() {
  var _useState21 = (0, _react.useState)([]),
      _useState22 = _slicedToArray(_useState21, 2),
      selectionNoDuplicates = _useState22[0],
      setSelectionNoDuplicates = _useState22[1];

  return _react.default.createElement(_NewInput.default, {
    name: "NoDuplicates",
    selection: selectionNoDuplicates,
    onChange: function onChange(e) {
      return setSelectionNoDuplicates(e.target.value);
    },
    options: duplicateOptions,
    creatable: true,
    multiple: true,
    allowDuplicates: false
  });
};

var NoOptionsState = function NoOptionsState() {
  var _useState23 = (0, _react.useState)([]),
      _useState24 = _slicedToArray(_useState23, 2),
      selectionNoOptions = _useState24[0],
      setSelectionNoOptions = _useState24[1];

  return _react.default.createElement(_NewInput.default, {
    name: "NoOptions",
    selection: selectionNoOptions,
    onChange: function onChange(e) {
      return setSelectionNoOptions(e.target.value);
    },
    creatable: true,
    multiple: true
  });
};

(0, _react2.storiesOf)('New Input', module).add('Single', function () {
  return _react.default.createElement(SingleState, null);
}).add('Multiple', function () {
  return _react.default.createElement(MultipleState, null);
}).add('Create Single', function () {
  return _react.default.createElement(SingleCreateState, null);
}).add('Create Multiple', function () {
  return _react.default.createElement(MultipleCreateState, null);
}).add('Append to body', function () {
  return _react.default.createElement(AppendToBodyState, null);
}).add('Right to left', function () {
  return _react.default.createElement(RightToLeftState, null);
}).add('Radios', function () {
  return _react.default.createElement(RadiosState, null);
}).add('Checkboxes', function () {
  return _react.default.createElement(CheckboxesState, null);
}).add('Switch', function () {
  return _react.default.createElement(SwitchState, null);
}).add('Single No Options', function () {
  return _react.default.createElement(SingleNoOptionsState, null);
}).add('Multiple No Options', function () {
  return _react.default.createElement(NoOptionsState, null);
}).add('Single Disabled', function () {
  return _react.default.createElement(SingleDisabledState, null);
}).add('Multiple Disabled', function () {
  return _react.default.createElement(MultipleDisabledState, null);
}).add('Radios Disabled', function () {
  return _react.default.createElement(RadiosDisabledState, null);
}).add('Checkboxes Disabled', function () {
  return _react.default.createElement(CheckboxesDisabledState, null);
}).add('Switch Disabled', function () {
  return _react.default.createElement(SwitchDisabledState, null);
}).add('No Duplicates', function () {
  return _react.default.createElement(NoDuplicatesState, null);
});